package com.ruoyi.dk.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.ruoyi.component.mybatis.core.page.PageQuery;
import com.ruoyi.dk.domain.Customer;
import com.ruoyi.dk.dto.admin.resp.CustomerAdminResp;
import com.ruoyi.dk.dto.app.req.CustomerRegisterReq;

import java.math.BigDecimal;

public interface CustomerService extends IService<Customer> {
    Customer getCustomerByName(String mobile);

    void register(CustomerRegisterReq register);

    boolean updatePwd(Long id, String password, boolean logout);

    void borrowAmount(Long customerId, BigDecimal totalLoanMoney,BigDecimal totalRepayment);

    boolean withdraw(Long customerId, Double withdrawAmount);

    void dk(Long customerId);

    IPage<CustomerAdminResp> pageAdmin(PageQuery pageQuery, CustomerAdminResp bo);

    void loginOut(Long id);
}
